{
	"schema": "https://iot-ap.ikonke.com/model/product_3073.json",
	"productType": "colorDimmableLight",
	"version": "1.0",
	"profile": {
		"heartbeat": "300",	
		"productCode": "3073",
		"productName": "幻彩灯带控制器Z3S(KONKE)"
	},
	"services": [
		{
			"outputData": [],
			"identifier": "set",
			"inputData": [
				{
					"identifier": "PowerSwitch",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				},
				{
					"identifier": "RGBColor",
					"dataType": {
						"specs": [
							{
								"identifier":"Red",
								"dataType":{
									"type":"int",
									"specs":{
										"min":"0",
										"max":"255",
										"unitName":"无",
										"step":"1"
									}
								},
								"name":"红色"
							},
							{
								"identifier":"Green",
								"dataType":{
									"type":"int",
									"specs":{
										"min":"0",
										"max":"255",
										"unitName":"无",
										"step":"1"
									}
								},
								"name":"绿色"
							},
							{
								"identifier":"Blue",
								"dataType":{
									"type":"int",
									"specs":{
										"min":"0",
										"max":"255",
										"unitName":"无",
										"step":"1"
									}
								},
								"name":"蓝色"
							}
						],
						"type": "struct"
					},
					"name": "RGB调色"
				},
				{
					"identifier": "WhiteBrightness",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "1",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "白光亮度"
				}
			],
			"method": "thing.service.property.set",
			"name": "set",
			"required": true,
			"callType": "async",
			"desc": "模式设置"
		},
		{
			"outputData": [
				{
					"identifier": "PowerSwitch",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				},
				{
					"identifier": "RGBColor",
					"dataType": {
						"specs": [
							{
								"identifier":"Red",
								"dataType":{
									"type":"int",
									"specs":{
										"min":"0",
										"max":"255",
										"unitName":"无",
										"step":"1"
									}
								},
								"name":"红色"
							},
							{
								"identifier":"Green",
								"dataType":{
									"type":"int",
									"specs":{
										"min":"0",
										"max":"255",
										"unitName":"无",
										"step":"1"
									}
								},
								"name":"绿色"
							},
							{
								"identifier":"Blue",
								"dataType":{
									"type":"int",
									"specs":{
										"min":"0",
										"max":"255",
										"unitName":"无",
										"step":"1"
									}
								},
								"name":"蓝色"
							}
						],
						"type": "struct"
					},
					"name": "RGB调色"
				},
				{
					"identifier": "WhiteBrightness",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "1",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "白光亮度"
				}
			],
			"identifier": "get",
			"inputData": [
				"PowerSwitch", 
				"RGBColor",
				"WhiteBrightness"
			],
			"method": "thing.service.property.get",
			"name": "get",
			"required": true,
			"callType": "async",
			"desc": "属性获取"
		},
        {
            "outputData":[

            ],
            "identifier":"setMode",
            "inputData":[
				{
					"identifier":"Mode",
					"dataType":{
						"type":"enum",
						"specs":{
							"0":"模式0",
							"1":"模式1",
							"2":"模式2",
							"3":"模式3",
							"4":"模式4",
							"5":"模式5",
							"6":"模式6",
							"7":"模式7",
							"8":"模式8",
							"9":"模式9",
							"10":"模式10",
							"11":"模式11",
							"12":"模式12"
						}
					},
					"name":"模式"
				}
            ],
            "method":"thing.service.setMode",
            "name":"setMode",
            "required":true,
            "callType":"async",
            "desc":"模式设置"
        },
        {
            "outputData":[

            ],
            "identifier":"negativeProperty",
            "inputData":[
                "PowerSwitch"
            ],
            "method":"thing.service.negativeProperty",
            "name":"negativeProperty",
            "required":true,
            "callType":"async",
            "desc":"属性值取反"
        }    
	],
	"properties": [
		{
			"identifier": "PowerSwitch",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "打开"
				},
				"type": "bool"
			},
			"name": "电源开关",
			"accessMode": "rw",
			"required": true
		},
		{
			"identifier": "RGBColor",
			"dataType": {
				"specs": [
					{
						"identifier":"Red",
						"dataType":{
							"type":"int",
							"specs":{
								"min":"0",
								"max":"255",
								"unitName":"无",
								"step":"1"
							}
						},
						"name":"红色"
					},
					{
						"identifier":"Green",
						"dataType":{
							"type":"int",
							"specs":{
								"min":"0",
								"max":"255",
								"unitName":"无",
								"step":"1"
							}
						},
						"name":"绿色"
					},
					{
						"identifier":"Blue",
						"dataType":{
							"type":"int",
							"specs":{
								"min":"0",
								"max":"255",
								"unitName":"无",
								"step":"1"
							}
						},
						"name":"蓝色"
					}
				],
				"type": "struct"
			},
			"name": "RGB调色",
			"accessMode": "rw",
			"required": true
		},
		{
			"identifier": "WhiteBrightness",
			"name": "白光亮度",
			"accessMode": "rw",
			"required": true,
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1",
					"max": "100",
					"unit": "%",
					"unitName": "百分比",
					"step": "1"
				}
			}
		}
	],
	"events": [
		{
			"outputData": [
				{
					"identifier": "PowerSwitch",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "打开"
						},
						"type": "bool"
					},
					"name": "电源开关"
				},
				{
					"identifier": "RGBColor",
					"dataType": {
						"specs": [
							{
								"identifier":"Red",
								"dataType":{
									"type":"int",
									"specs":{
										"min":"0",
										"max":"255",
										"unitName":"无",
										"step":"1"
									}
								},
								"name":"红色"
							},
							{
								"identifier":"Green",
								"dataType":{
									"type":"int",
									"specs":{
										"min":"0",
										"max":"255",
										"unitName":"无",
										"step":"1"
									}
								},
								"name":"绿色"
							},
							{
								"identifier":"Blue",
								"dataType":{
									"type":"int",
									"specs":{
										"min":"0",
										"max":"255",
										"unitName":"无",
										"step":"1"
									}
								},
								"name":"蓝色"
							}
						],
						"type": "struct"
					},
					"name": "RGB调色"
				},
				{
					"identifier": "WhiteBrightness",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "1",
							"max": "100",
							"unit": "%",
							"unitName": "百分比",
							"step": "1"
						}
					},
					"name": "白光亮度"
				}
			],
			"identifier": "property",
			"method": "thing.event.property.post",
			"name": "property",
			"type": "info",
			"required": true,
			"desc": "属性上报"
		}
	]
}
